import com.rinearn.graph2d.RinearnGraph2D;


/**
 * 配列に格納されたデータをプロットする、単純なサンプルコードです。
 */
public class Sample2 {

	public static void main(String[] args) {
		
		// 座標値データの用意
		int n = 101;
		double[] x = new double[n];
		double[] y = new double[n];
		for(int i=0; i<n; i++) {
			x[i] = i*0.1;
			y[i] = Math.sin(x[i]);
		}
		
		// グラフにプロット
		RinearnGraph2D graph = new RinearnGraph2D();
		graph.setData(x, y);
		
		// グラフを画像ファイルに出力したい場合は、以下を有効にしてください。
		/*
		try {
			graph.exportImageFile(new java.io.File("graph.png"), 1.0);
		} catch (java.io.IOException ioe) {
			System.err.println("ファイル出力に失敗しました。");
		}
		*/
	}
}
